aboutsummaryrefslogtreecommitdiff
path: root/docker/debian-dev/bootstrap/setup-sbuild.bash
diff options
context:
space:
mode:
Diffstat (limited to 'docker/debian-dev/bootstrap/setup-sbuild.bash')
-rwxr-xr-xdocker/debian-dev/bootstrap/setup-sbuild.bash11
1 files changed, 11 insertions, 0 deletions
diff --git a/docker/debian-dev/bootstrap/setup-sbuild.bash b/docker/debian-dev/bootstrap/setup-sbuild.bash
new file mode 100755
index 0000000..30c1af9
--- /dev/null
+++ b/docker/debian-dev/bootstrap/setup-sbuild.bash
@@ -0,0 +1,11 @@
+#! /usr/bin/env bash
+
+set -e
+
+if [[ -f /etc/crupest-apt-source ]]; then
+ CRUPEST_DEB_MIRROR=$(cat /etc/crupest-apt-source)
+fi
+
+apt-get install -y sbuild schroot debootstrap
+sbuild-createchroot bullseye /srv/chroot/bullseye-amd64-sbuild ${CRUPEST_DEB_MIRROR}
+